Skip to Content
avatar image
Former Member

NWDI Requirements for x64

Hello,

As we begin to think about upgrading our java application server environment to 64 bit I'm researching the requirements for our development. Our NWDI NW environment is also on 32 bit. _Is upgrade of our NWDI environment to 64 bit an absolute prerequisite in order to convert our application servers to 64 bit?_ I've read that 32 bit executables will execute on an x64 box. OR... Can we keep the 32 bit NWDI and simply recompile our applications with 64 bit versions of the Software Component Build dependencies,

DI BUILD, SAP J2EE ENGINE, SAP JAVA TECH SERVICES? (We'll be doing portal WAS first)

Thanks,

Doug

Add comment
10|10000 characters needed characters exceeded

  • Get RSS Feed

1 Answer

  • Best Answer
    avatar image
    Former Member
    Apr 05, 2009 at 03:29 AM

    hi

    check this link

    http://wiki.colar.net/jdi_2004s

    /people/bhavana.gupta/blog/2007/01/23/installation-and-configuration-of-netweaver-development-infrastructure-was-64

    let me know am i correct ornot

    bvr

    Edited by: bvr on Apr 5, 2009 5:31 AM

    Add comment
    10|10000 characters needed characters exceeded

    • Former Member Former Member

      Hi Doug,

      >- Regardless of any of this the VA/CBS setup will remain the same pointing to a 1.4.2_13 version of jdk.

      jep.

      >- The dependant SC's (DI BUILD, SAP J2EE ENGINE, SAP JAVA TECH SERVICES) will not have to change?

      >- Are there any scenarios that require re-import of sependant SC's or is it always as somple as CBS config to the appropriate jdk?

      You might need to import the SCs you're using in CMS on the according app servers but only in respect to different SP- and patch levels of those SCs. If the only change is from 32 to 64 you're fine.

      Kind regards